
QGIS Application - Bug report #1114

No digitizing when one table column is type timestamp?

2008-05-28 11:24 PM - sblank -

Status: Closed

Priority: Low

Assignee: Jürgen Fischer

Category: Digitising

Affected QGIS version: Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied: Resolution: worksforme

Crashes QGIS or corrupts data: Copied to github as #: 11174

Description

When i have digitizing a point in a postgis layer and save this changes the following message apear:

FEHLER:  ungültige Eingabesyntax für Typ timestamp: »« 

similar in english:

ERROR : wrong Inputsyntax for type timestamp

Here the sql script of the table

-- Table: wrrl.tbl_messnetzpunkte

-- DROP TABLE wrrl.tbl_messnetzpunkte;

CREATE TABLE wrrl.tbl_messnetzpunkte

(

  gid integer NOT NULL DEFAULT nextval(('wrrl.messnetzpunkte_gid_seq'::text)::regclass),

  mns_id integer,

  the_geom geometry,

  bezeichnung text,

  bearbeitet_von character varying(254),

  bearbeitet_am timestamp without time zone,

  abdeckung_guete double precision,

  vorl_bewertung double precision, -- Vorläufige Bewertung gemäß WRRL

  vorl_bewertung_bemerkungen text,

  bewertung_1 double precision, -- Abschliessende Bewertung für den Berichtszeitraum 2006-2012

  bewertung_2 double precision, -- Abschliessende Bewertung für den Berichtszeitraum 2013-2018

  bewertung_1_bemerkungen text,

  bewertung_2_bemerkungen text,

  CONSTRAINT messnetzpunkte_pkey PRIMARY KEY (gid),

  CONSTRAINT enforce_dims_the_geom CHECK (ndims(the_geom) = 2),

  CONSTRAINT enforce_geotype_the_geom CHECK (geometrytype(the_geom) = 'POINT'::text OR the_geom IS NULL),

  CONSTRAINT enforce_srid_the_geom CHECK (srid(the_geom) = 2166)

)

WITH (OIDS=TRUE);

ALTER TABLE wrrl.tbl_messnetzpunkte OWNER TO postgres;

GRANT ALL ON TABLE wrrl.tbl_messnetzpunkte TO postgres;

GRANT SELECT ON TABLE wrrl.tbl_messnetzpunkte TO public;

GRANT ALL ON TABLE wrrl.tbl_messnetzpunkte TO admins;

GRANT ALL ON TABLE wrrl.tbl_messnetzpunkte TO fiaka_admins;

GRANT SELECT ON TABLE wrrl.tbl_messnetzpunkte TO openweb;
GRANT SELECT, UPDATE, INSERT, DELETE, TRIGGER ON TABLE wrrl.tbl_messnetzpunkte TO wrrl_monitoring;

GRANT SELECT, UPDATE, INSERT, DELETE, TRIGGER ON TABLE wrrl.tbl_messnetzpunkte TO editor;

COMMENT ON COLUMN wrrl.tbl_messnetzpunkte.vorl_bewertung IS 'Vorläufige Bewertung gemäß WRRL';

COMMENT ON COLUMN wrrl.tbl_messnetzpunkte.bewertung_1 IS 'Abschliessende Bewertung für den Berichtszeitraum 2006-2012';

COMMENT ON COLUMN wrrl.tbl_messnetzpunkte.bewertung_2 IS 'Abschliessende Bewertung für den Berichtszeitraum 2013-2018';

-- Trigger: tbl_messnetzpunkte_update_bearbeiter on wrrl.tbl_messnetzpunkte

-- DROP TRIGGER tbl_messnetzpunkte_update_bearbeiter ON wrrl.tbl_messnetzpunkte;

CREATE TRIGGER tbl_messnetzpunkte_update_bearbeiter

  BEFORE INSERT OR UPDATE

  ON wrrl.tbl_messnetzpunkte

  FOR EACH ROW

  EXECUTE PROCEDURE fiaka.update_bearbeiter();

History

#1 - 2008-05-29 12:37 AM - Jürgen Fischer

perhaps this is a problem with the trigger. At least it's not reproducable here using commit:5fecb607 (SVN r8539) with this table:

CREATE TABLE tbl_messnetzpunkte

(

  gid SERIAL PRIMARY KEY,

  mns_id integer,

  bezeichnung text,

  bearbeitet_von character varying(254),

  bearbeitet_am timestamp without time zone,

  abdeckung_guete double precision,

  vorl_bewertung double precision,

  vorl_bewertung_bemerkungen text,

  bewertung_1 double precision,

  bewertung_2 double precision,

  bewertung_1_bemerkungen text,

  bewertung_2_bemerkungen text

);

SELECT [[AddGeometryColumn]]('tbl_messnetzpunkte', 'the_geom', 2166, 'POINT', 2);

#2 - 2008-06-10 08:05 AM - Jürgen Fischer

- Resolution set to worksforme

- Status changed from Open to Closed

no response for for 2 weeks
